Hello Community,

It gives me immense pleasure to invite you all to yet another contest of newly started series of Contest by HackerEarth called Data Structures and Algorithms (DSA). This is a 1.5 hour contest with 3 questions to solve.

The problems of October 2019 edition are classic and educational as against being creative and challenging. So, if you're learning new things, don't miss the DSA contests.

Problem setting panel includes Anay anay_07 Loya, Tanmay tanmay2904 Agarwal, Huzaifa huzaifa242 Mankda.

Tester for the Contest is AmirReza Arpa PoorAkhavan.

The contest would go live on October 12th 4:00AM UTC

Good Luck & High Ratings!!!

Auto comment: topic has been updated by huzaifa242 (previous revision, new revision, compare).Auto comment: topic has been updated by huzaifa242 (previous revision, new revision, compare).good luck and High rating everyone...

Reminder!!! Contest Starts in less than 2 hours.

3 10 0

0 0

2 2

4 0

In this ip your code give 7 -3 as output, but originally it has to be 4 0.

More over 7 -3 is not on perimeter (it's outside of the polygon)

I only got AC on P0 by assuming the statement was incorrect as written and trying to answer the question for sequences of positive reals, as opposed to for any reals. Was this clarified anywhere?

Did the solution for all reals not work ?

If you allow all reals, it is easy to show that the answer is either 1, 2 or 3.

This was exactly my approach. But, my simple solution of $$$1, 2, 3$$$ did not work. I thought there was something wrong with my logic. I didn't realise it was because the question only wanted positive reals. Thanks for sharing !

Why the name "Data Structures and Algorithms coding contest" ? When there are no problems related to data structures or algorithms. (##No offence)

While I felt a marked improvement in this contest from

October Easy, I think this contest still requires some clarity in it's scope and definition.I would put $$$A$$$ in the creative and challenging category. I wouldn't call it a classical problem. It was quite Mathematical and required some non-trivial observations based on the AM-GM inequality.

$$$B$$$ was probably the most educational and classical problem of the contest and requires knowledge of how to precompute Euler Totient function through a sieve.

$$$C$$$ was also educational to some extent.

According to me, a classical problem is a problem whose solution is instructive to a particular technique (Sieve, DP, Greedy, Sorting, Prefix Sums, XOR, Binary Search, etc). However a problem which requires reductions to a classical problem does not fall into this category to me. $$$A$$$ required a non-trivial observation to reduce it to binary search, which is my main reasoning in considering it '_creative and challenging_' as opposed to '_classical and educational_'.

However, I still liked all the questions.